Deals
GB GBP

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Allied Telesis AT-x230-18GP-50 Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey

Allied Telesis · Network Switch

Allied Telesis AT-x230-18GP-50 Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey price in United Kingdom

Model AT-x230-18GP-50MPN 990-004132-50EAN 767035202662

  • Memory256 MB
  • Weight3 kg
  • ColourGrey
  • Switch typeManaged

Lowest price incl. delivery

£942.99

at Back to the OfficeFree deliveryIn stock

  • 1 store
  • 1 in stock
  • 1 with free delivery
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in United Kingdom

1 store · prices in GBP · updated 6 Oct 2026, 05:40 UTC

Lowest price£942.99at Back to the Office · free shippingGo to Back to the Office (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 1 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Back to the OfficeLowest priceAllied Telesis AT-x230-18GP-50 Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey In stockFree shipping
    £942.99incl. free shipping
    Go to store : Back to the Office (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in United Kingdom

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Back to the Office£942.99
Go to store

Product details

Identification

Brand
Allied Telesis
Product
AT-x230-18GP-50 Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
Full name
Allied Telesis AT-x230-18GP-50 Managed L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
Manufacturer part number
990-004132-50
EAN / UPC
767035202662

59 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL2+
Quality of Service (QoS) supportYes
Web-based managementYes
System event logYes
MIB supportRFC1212, RFC1213, RFC1227, RFC1239, RFC2011, RFC2012, RFC2013, RFC2096, RFC2819, RFC2863, RFC3418, RFC3621, RFC3636

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity16
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
SFP module slots quantity2
Console portRJ-45
Power connectorDC-in jack

Network

Networking standardsIEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology1000BASE-T, 100BASE-T, 10BASE-T
Port mirroringYes
Full duplexYes
Auto MDI/MDI-XYes
Broadcast storm controlYes
Flow control supportYes
Link aggregationYes
Spanning tree protocolYes
VLAN supportYes

Data transmission

MAC address table16000 entries
Switching capacity36.6 Gbit/s
Throughput26.8 Mpps
Jumbo frames supportYes
Packet buffer memory1.5 MB

Security

DHCP featuresDHCPv6 client, DHCP client
IGMP snoopingYes
Security algorithmsEAP-TTLS, MD5, PEAP, SSL/TLS

Multicast features

Multicast supportYes

Protocols

Management protocolsIGMP, MLD, Telnet, SMTP, NTP
Supported network protocolsSNTP

Design

Rack mountingYes
Product colourGrey
LED indicatorsYes
SafetyUL60950-1, CAN/CSA-C22.2 No. 60950-1-03, EN60950-1, EN60825-1, AS/NZS 60950.1

Performance

Internal memory256 MB
Flash memory64 MB

Power

AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)21 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet (PoE) ports quantity16
Power over Ethernet plus (PoE+) ports quantity8
Total Power over Ethernet (PoE) budget296 W

Operational conditions

Operating temperature (T-T)0 - 50 °C
Storage temperature (T-T)-20 - 70 °C
Operating relative humidity (H-H)5 - 90%
Storage relative humidity (H-H)5 - 95%
Non-operating altitude0 - 3048 m
Heat dissipation168 BTU/h

Weight & dimensions

Width341 mm
Depth231 mm
Height44 mm
Weight3 kg

Packaging data

Package weight4.2 kg

Certificates

CertificationUL, cUL, UL-EU

Logistics data

Harmonized System (HS) code85176990

More network switches deals in United Kingdom

All network switches deals